Bug 171034 - Missing: Monitoring for local and cluster file systems in resource agents
Missing: Monitoring for local and cluster file systems in resource agents
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 11:57 EDT by Lon Hohberger
Modified: 2009-04-16 16:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2005-821
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 16:02:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2005-10-17 11:57:06 EDT
Description of problem:

The file system resource agent, fs.sh, talks about read/write tests to/from file
systems at OCF_CHECK_LEVEL 20 in its meta-data.  This is not currently done, but
is necessary in order to detect critical problems like loss of connectivity to
the shared block devices on which the file system resides.

As a side note, an option to use active monitoring of access to the file system
(e.g. constant monitoring by a separate daemon) would be useful for customers
who which to detect file system access problems in a timely manner (down to 2-5
second granularity).

This functionality should minimally be implemented for the <fs> resource type,
but probably for <clusterfs> as well.
Comment 1 Lon Hohberger 2005-10-17 12:02:57 EDT
Fixes for the <fs> resource agent are in CVS; these need to be ported to the
<clusterfs> resource agent.
Comment 3 Lon Hohberger 2005-10-17 16:34:29 EDT
Fix in CVS.
Comment 5 Red Hat Bugzilla 2005-10-28 16:02:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-821.html

Note You need to log in before you can comment on or make changes to this bug.